Package org.eclipse.m2m.atl.emftvm.ant

## Class EMFTVMBuildListener

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.ant.EMFTVMBuildListener

All Implemented Interfaces:
  `java.util.EventListener`, `org.apache.tools.ant.BuildListener`

    public class EMFTVMBuildListener
    extends java.lang.Object
    implements org.apache.tools.ant.BuildListener

Ant build change listener for EMFTVM tasks.

### Constructor Summary

Constructors
`EMFTVMBuildListener​(org.apache.tools.ant.Project project)` Creates a new `EMFTVMBuildListener`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `attachBuildListener​(org.apache.tools.ant.Project project)` Attach the log to a given project if necessary.
`void` `buildFinished​(org.apache.tools.ant.BuildEvent event)` Removes the log handler from the logger.
`void` `buildStarted​(org.apache.tools.ant.BuildEvent event)` Does nothing.
`java.util.logging.Handler` `getLogHandler()` Returns the log handler.
`org.apache.tools.ant.Project` `getProject()` Returns the Ant project.
`void` `messageLogged​(org.apache.tools.ant.BuildEvent event)` Does nothing.
`void` `targetFinished​(org.apache.tools.ant.BuildEvent event)` Does nothing.
`void` `targetStarted​(org.apache.tools.ant.BuildEvent event)` Does nothing.
`void` `taskFinished​(org.apache.tools.ant.BuildEvent event)` Does nothing.
`void` `taskStarted​(org.apache.tools.ant.BuildEvent event)` Does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFTVMBuildListener

    public EMFTVMBuildListener​(org.apache.tools.ant.Project project)

Creates a new `EMFTVMBuildListener`.

Parameters:
  `project` - the Ant project

### Method Detail

#### attachBuildListener

    public static void attachBuildListener​(org.apache.tools.ant.Project project)

Attach the log to a given project if necessary.

Parameters:
  `project` - the current project

#### buildFinished

    public void buildFinished​(org.apache.tools.ant.BuildEvent event)

Removes the log handler from the logger.

Specified by:
  `buildFinished` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the build finished event

#### buildStarted

    public void buildStarted​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `buildStarted` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the build started event

#### messageLogged

    public void messageLogged​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `messageLogged` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the message logged event

#### targetFinished

    public void targetFinished​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `targetFinished` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the target finished event

#### targetStarted

    public void targetStarted​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `targetStarted` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the target started event

#### taskFinished

    public void taskFinished​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `taskFinished` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the task finished event

#### taskStarted

    public void taskStarted​(org.apache.tools.ant.BuildEvent event)

Does nothing.

Specified by:
  `taskStarted` in interface `org.apache.tools.ant.BuildListener`
Parameters:
  `event` - the task started event

#### getProject

    public org.apache.tools.ant.Project getProject()

Returns the Ant project.

Returns:
  the project

#### getLogHandler

    public java.util.logging.Handler getLogHandler()

Returns the log handler.

Returns:
  the logHandler